#include <math.h>

void getBTGradientOPT (
  double *vshear,
  double *vyoung,
  double *vradw,
  double *vradh,
  double L0,
  double L1,
  double *K0,
  double twist0,
  double *nRefIni1,
  double *tRefIni1,
  double *nRefIni2,
  double *tRefIni2,
  double rtx,
  double *e1,
  double *e2,
  double theta1,
  double theta2,
  double *energyGradienti)
{
  double t10;
  double t102;
  double t1020;
  double t1040;
  double t1045;
  double t1057;
  double t1070;
  double t1082;
  double t1085;
  double t1096;
  double t11;
  double t110;
  double t1107;
  double t1123;
  double t1126;
  double t1132;
  double t1133;
  double t1136;
  double t114;
  double t1141;
  double t1145;
  double t1149;
  double t1153;
  double t1156;
  double t1161;
  double t117;
  double t1170;
  double t1180;
  double t1194;
  double t1199;
  double t12;
  double t1215;
  double t1226;
  double t1227;
  double t124;
  double t1243;
  double t125;
  double t1256;
  double t1257;
  double t1282;
  double t13;
  double t131;
  double t1322;
  double t1342;
  double t1347;
  double t135;
  double t1359;
  double t1372;
  double t1373;
  double t1381;
  double t1384;
  double t1387;
  double t1391;
  double t1398;
  double t14;
  double t140;
  double t1409;
  double t1426;
  double t1427;
  double t1431;
  double t1432;
  double t1433;
  double t1435;
  double t1436;
  double t1437;
  double t1439;
  double t1440;
  double t1445;
  double t1447;
  double t1448;
  double t1449;
  double t1458;
  double t1460;
  double t1461;
  double t1462;
  double t1469;
  double t147;
  double t1473;
  double t1474;
  double t1475;
  double t148;
  double t1485;
  double t1486;
  double t1489;
  double t1490;
  double t1491;
  double t1493;
  double t1494;
  double t1495;
  double t1497;
  double t1498;
  double t15;
  double t1501;
  double t1503;
  double t1504;
  double t1508;
  double t1510;
  double t1511;
  double t1516;
  double t1519;
  double t1520;
  double t1523;
  double t1525;
  double t1527;
  double t153;
  double t1531;
  double t1536;
  double t1544;
  double t1547;
  double t1549;
  double t1557;
  double t156;
  double t1560;
  double t1565;
  double t1568;
  double t157;
  double t1570;
  double t1573;
  double t1575;
  double t1579;
  double t1583;
  double t1584;
  double t1589;
  double t159;
  double t1592;
  double t1598;
  double t16;
  double t160;
  double t1601;
  double t1606;
  double t1607;
  double t1618;
  double t162;
  double t1623;
  double t1627;
  double t163;
  double t1630;
  double t1637;
  double t1638;
  double t1644;
  double t165;
  double t1658;
  double t166;
  double t1668;
  double t17;
  double t170;
  double t1708;
  double t172;
  double t1723;
  double t1728;
  double t173;
  double t1730;
  double t1732;
  double t1740;
  double t1743;
  double t1745;
  double t175;
  double t1753;
  double t1761;
  double t1765;
  double t1769;
  double t1773;
  double t1779;
  double t178;
  double t1780;
  double t1784;
  double t1786;
  double t1792;
  double t18;
  double t1800;
  double t1801;
  double t1808;
  double t1812;
  double t1820;
  double t1821;
  double t1840;
  double t1843;
  double t1845;
  double t1846;
  double t1851;
  double t1854;
  double t1855;
  double t186;
  double t1862;
  double t1863;
  double t1864;
  double t1872;
  double t1873;
  double t188;
  double t1885;
  double t1887;
  double t1888;
  double t189;
  double t1891;
  double t1894;
  double t1897;
  double t1898;
  double t19;
  double t190;
  double t1904;
  double t1907;
  double t191;
  double t1912;
  double t1921;
  double t193;
  double t1933;
  double t1936;
  double t1946;
  double t195;
  double t1950;
  double t1954;
  double t1955;
  double t1958;
  double t1964;
  double t1969;
  double t197;
  double t1975;
  double t1988;
  double t199;
  double t1996;
  double t1999;
  double t20;
  double t200;
  double t2003;
  double t2016;
  double t202;
  double t2024;
  double t2030;
  double t207;
  double t2070;
  double t2085;
  double t2090;
  double t21;
  double t210;
  double t2101;
  double t2106;
  double t2114;
  double t2127;
  double t2131;
  double t2134;
  double t2140;
  double t2151;
  double t2166;
  double t2167;
  double t218;
  double t2186;
  double t2189;
  double t219;
  double t2195;
  double t2196;
  double t22;
  double t220;
  double t2204;
  double t2205;
  double t2211;
  double t2212;
  double t2220;
  double t2225;
  double t2229;
  double t223;
  double t2233;
  double t2237;
  double t2240;
  double t2245;
  double t2254;
  double t2264;
  double t2267;
  double t2269;
  double t2272;
  double t2278;
  double t2279;
  double t2283;
  double t2295;
  double t2299;
  double t23;
  double t231;
  double t2319;
  double t2323;
  double t2345;
  double t235;
  double t238;
  double t2385;
  double t24;
  double t2400;
  double t2405;
  double t2414;
  double t2426;
  double t2440;
  double t2443;
  double t2457;
  double t246;
  double t2471;
  double t2492;
  double t2495;
  double t25;
  double t250;
  double t2502;
  double t2512;
  double t2549;
  double t255;
  double t2553;
  double t2556;
  double t2563;
  double t2573;
  double t26;
  double t262;
  double t269;
  double t27;
  double t273;
  double t277;
  double t278;
  double t28;
  double t281;
  double t282;
  double t283;
  double t285;
  double t286;
  double t289;
  double t29;
  double t291;
  double t292;
  double t293;
  double t295;
  double t296;
  double t297;
  double t299;
  double t3;
  double t30;
  double t300;
  double t305;
  double t307;
  double t308;
  double t309;
  double t31;
  double t314;
  double t315;
  double t318;
  double t319;
  double t320;
  double t322;
  double t323;
  double t324;
  double t326;
  double t327;
  double t33;
  double t330;
  double t332;
  double t333;
  double t337;
  double t339;
  double t34;
  double t340;
  double t345;
  double t348;
  double t349;
  double t35;
  double t352;
  double t354;
  double t356;
  double t36;
  double t360;
  double t365;
  double t373;
  double t376;
  double t378;
  double t38;
  double t382;
  double t386;
  double t39;
  double t391;
  double t394;
  double t397;
  double t399;
  double t4;
  double t402;
  double t403;
  double t404;
  double t408;
  double t41;
  double t413;
  double t414;
  double t419;
  double t42;
  double t422;
  double t424;
  double t428;
  double t437;
  double t438;
  double t44;
  double t444;
  double t448;
  double t45;
  double t450;
  double t454;
  double t455;
  double t456;
  double t459;
  double t464;
  double t468;
  double t478;
  double t479;
  double t485;
  double t49;
  double t491;
  double t494;
  double t498;
  double t5;
  double t500;
  double t501;
  double t502;
  double t508;
  double t51;
  double t511;
  double t52;
  double t527;
  double t533;
  double t54;
  double t544;
  double t549;
  double t552;
  double t555;
  double t557;
  double t57;
  double t579;
  double t586;
  double t592;
  double t594;
  double t6;
  double t600;
  double t602;
  double t606;
  double t608;
  double t609;
  double t610;
  double t612;
  double t617;
  double t618;
  double t619;
  double t620;
  double t622;
  double t627;
  double t634;
  double t646;
  double t647;
  double t65;
  double t650;
  double t661;
  double t67;
  double t672;
  double t674;
  double t678;
  double t679;
  double t68;
  double t680;
  double t69;
  double t695;
  double t697;
  double t7;
  double t70;
  double t701;
  double t713;
  double t719;
  double t72;
  double t726;
  double t730;
  double t738;
  double t74;
  double t741;
  double t742;
  double t752;
  double t76;
  double t763;
  double t766;
  double t768;
  double t769;
  double t770;
  double t778;
  double t78;
  double t781;
  double t787;
  double t79;
  double t792;
  double t793;
  double t8;
  double t801;
  double t802;
  double t803;
  double t81;
  double t810;
  double t812;
  double t813;
  double t816;
  double t819;
  double t822;
  double t823;
  double t829;
  double t832;
  double t837;
  double t846;
  double t858;
  double t86;
  double t871;
  double t875;
  double t880;
  double t881;
  double t884;
  double t89;
  double t890;
  double t9;
  double t901;
  double t912;
  double t913;
  double t914;
  double t919;
  double t927;
  double t934;
  double t947;
  double t948;
  double t951;
  double t959;
  double t97;
  double t98;
  double t980;
  double t99;
  t17 = e1[0];
  t3 = t17 * t17;
  t21 = e1[1];
  t4 = t21 * t21;
  t25 = e1[2];
  t5 = t25 * t25;
  t6 = t3 + t4 + t5;
  t7 = sqrt(t6);
  t8 = 0.1e1 / t7;
  t9 = t8 * t17;
  t29 = e2[0];
  t10 = t29 * t29;
  t30 = e2[1];
  t11 = t30 * t30;
  t31 = e2[2];
  t12 = t31 * t31;
  t13 = t10 + t11 + t12;
  t14 = sqrt(t13);
  t15 = 0.1e1 / t14;
  t16 = t15 * t29;
  t18 = 0.1e1 * t9 * t16;
  t19 = t8 * t21;
  t20 = t15 * t30;
  t22 = 0.1e1 * t19 * t20;
  t23 = t8 * t25;
  t24 = t15 * t31;
  t26 = 0.1e1 * t23 * t24;
  t27 = 0.1e1 + t18 + t22 + t26;
  t28 = 0.1e1 / t27;
  t33 = 0.1e1 * t19 * t24 - 0.1e1 * t23 * t20;
  t34 = t28 * t33;
  t35 = cos(theta1);
  t49 = tRefIni1[0];
  t36 = t49 * t8;
  t38 = 0.1e1 * t36 * t17;
  t52 = tRefIni1[1];
  t39 = t52 * t8;
  t41 = 0.1e1 * t39 * t21;
  t54 = tRefIni1[2];
  t42 = t54 * t8;
  t44 = 0.1e1 * t42 * t25;
  t45 = t38 + t41 + t44;
  t51 = 0.1e1 * t39 * t25 - 0.1e1 * t42 * t21;
  t57 = 0.1e1 * t42 * t17 - 0.1e1 * t36 * t25;
  t65 = 0.1e1 * t36 * t21 - 0.1e1 * t39 * t17;
  t76 = nRefIni1[0];
  t78 = nRefIni1[1];
  t81 = nRefIni1[2];
  t67 = t51 * t76 + t57 * t78 + t65 * t81;
  t68 = 0.1e1 + t38 + t41 + t44;
  t69 = 0.1e1 / t68;
  t70 = t67 * t69;
  t72 = t45 * t81 + t51 * t78 - t57 * t76 + t70 * t65;
  t74 = sin(theta1);
  t79 = t45 * t78 + t65 * t76 - t51 * t81 + t70 * t57;
  t86 = t45 * t76 + t57 * t81 - t65 * t78 + t70 * t51;
  t89 = 0.1e1 * t9 * t79 - 0.1e1 * t19 * t86;
  t97 = 0.1e1 * t9 * t86 + 0.1e1 * t19 * t79 + 0.1e1 * t23 * t72;
  t98 = 0.1e1 - t35;
  t99 = t97 * t98;
  t102 = t35 * t72 + t74 * t89 + 0.1e1 * t99 * t23;
  t110 = 0.1e1 * t23 * t86 - 0.1e1 * t9 * t72;
  t114 = t35 * t79 + t74 * t110 + 0.1e1 * t99 * t19;
  t117 = 0.1e1 * t19 * t102 - 0.1e1 * t23 * t114;
  t124 = 0.1e1 * t23 * t16 - 0.1e1 * t9 * t24;
  t125 = t28 * t124;
  t131 = 0.1e1 * t19 * t72 - 0.1e1 * t23 * t79;
  t135 = t35 * t86 + t74 * t131 + 0.1e1 * t99 * t9;
  t140 = 0.1e1 * t23 * t135 - 0.1e1 * t9 * t102;
  t147 = 0.1e1 * t9 * t20 - 0.1e1 * t19 * t16;
  t148 = t28 * t147;
  t153 = 0.1e1 * t9 * t114 - 0.1e1 * t19 * t135;
  t156 = cos(theta2);
  t170 = tRefIni2[0];
  t157 = t170 * t15;
  t159 = 0.1e1 * t157 * t29;
  t173 = tRefIni2[1];
  t160 = t173 * t15;
  t162 = 0.1e1 * t160 * t30;
  t175 = tRefIni2[2];
  t163 = t175 * t15;
  t165 = 0.1e1 * t163 * t31;
  t166 = t159 + t162 + t165;
  t172 = 0.1e1 * t160 * t31 - 0.1e1 * t163 * t30;
  t178 = 0.1e1 * t163 * t29 - 0.1e1 * t157 * t31;
  t186 = 0.1e1 * t157 * t30 - 0.1e1 * t160 * t29;
  t197 = nRefIni2[0];
  t199 = nRefIni2[1];
  t202 = nRefIni2[2];
  t188 = t172 * t197 + t178 * t199 + t186 * t202;
  t189 = 0.1e1 + t159 + t162 + t165;
  t190 = 0.1e1 / t189;
  t191 = t188 * t190;
  t193 = t166 * t202 + t172 * t199 - t178 * t197 + t191 * t186;
  t195 = sin(theta2);
  t200 = t166 * t199 + t186 * t197 - t172 * t202 + t191 * t178;
  t207 = t166 * t197 + t178 * t202 - t186 * t199 + t191 * t172;
  t210 = 0.1e1 * t16 * t200 - 0.1e1 * t20 * t207;
  t218 = 0.1e1 * t16 * t207 + 0.1e1 * t20 * t200 + 0.1e1 * t24 * t193;
  t219 = 0.1e1 - t156;
  t220 = t218 * t219;
  t223 = t156 * t193 + t195 * t210 + 0.1e1 * t220 * t24;
  t231 = 0.1e1 * t24 * t207 - 0.1e1 * t16 * t193;
  t235 = t156 * t200 + t195 * t231 + 0.1e1 * t220 * t20;
  t238 = 0.1e1 * t20 * t223 - 0.1e1 * t24 * t235;
  t246 = 0.1e1 * t20 * t193 - 0.1e1 * t24 * t200;
  t250 = t156 * t207 + t195 * t246 + 0.1e1 * t220 * t16;
  t255 = 0.1e1 * t24 * t250 - 0.1e1 * t16 * t223;
  t262 = 0.1e1 * t16 * t235 - 0.1e1 * t20 * t250;
  t269 = 0.5e0 * vyoung[0] + 0.5e0 * vyoung[1];
  t273 = 0.5e0 * vradw[0] + 0.5e0 * vradw[1];
  t277 = 0.5e0 * vradh[0] + 0.5e0 * vradh[1];
  t278 = t277 * t277;
  t281 = t27 * t27;
  t282 = 0.1e1 / t281;
  t283 = t282 * t33;
  t285 = t8 / t6;
  t286 = t285 * t3;
  t289 = t8 * t15;
  t291 = 0.1e1 * t289 * t29;
  t292 = t285 * t21;
  t293 = t20 * t17;
  t295 = 0.1e1 * t292 * t293;
  t296 = t285 * t25;
  t297 = t24 * t17;
  t299 = 0.1e1 * t296 * t297;
  t300 = -0.1e1 * t286 * t16 + t291 - t295 - t299;
  t305 = 0.1e1 * t292 * t297;
  t307 = 0.1e1 * t296 * t293;
  t308 = -t305 + t307;
  t309 = t28 * t308;
  t314 = 0.1e1 * t292 * t102 * t17;
  t315 = t49 * t285;
  t318 = 0.1e1 * t36;
  t319 = t52 * t285;
  t320 = t21 * t17;
  t322 = 0.1e1 * t319 * t320;
  t323 = t54 * t285;
  t324 = t25 * t17;
  t326 = 0.1e1 * t323 * t324;
  t327 = -0.1e1 * t315 * t3 + t318 - t322 - t326;
  t330 = 0.1e1 * t319 * t324;
  t332 = 0.1e1 * t323 * t320;
  t333 = -t330 + t332;
  t337 = 0.1e1 * t42;
  t339 = 0.1e1 * t315 * t324;
  t340 = -0.1e1 * t323 * t3 + t337 + t339;
  t345 = 0.1e1 * t315 * t320;
  t348 = 0.1e1 * t39;
  t349 = -t345 + 0.1e1 * t319 * t3 - t348;
  t352 = (t333 * t76 + t340 * t78 + t349 * t81) * t69;
  t354 = t68 * t68;
  t356 = t67 / t354;
  t382 = t356 * t65;
  t360 = t327 * t81 + t333 * t78 - t340 * t76 + t352 * t65 - t382 * t327 + t70 * t349;
  t365 = 0.1e1 * t8 * t79;
  t391 = t356 * t57;
  t373 = t327 * t78 + t349 * t76 - t333 * t81 + t352 * t57 - t391 * t327 + t70 * t340;
  t376 = t86 * t17;
  t378 = 0.1e1 * t292 * t376;
  t403 = t356 * t51;
  t386 = t327 * t76 + t340 * t81 - t349 * t78 + t352 * t51 - t403 * t327 + t70 * t333;
  t394 = 0.1e1 * t8 * t86;
  t397 = t79 * t17;
  t399 = 0.1e1 * t292 * t397;
  t402 = t72 * t17;
  t404 = 0.1e1 * t296 * t402;
  t408 = (-0.1e1 * t286 * t86 + t394 + 0.1e1 * t9 * t386 - t399 + 0.1e1 * t19 * t373 - t404 + 0.1e1 * t23 * t360) * t98;
  t424 = t99 * t296;
  t413 = 0.1e1 * t424 * t17;
  t414 = t35 * t360 + t74 * (-0.1e1 * t286 * t79 + t365 + 0.1e1 * t9 * t373 + t378 - 0.1e1 * t19 * t386) + 0.1e1 * t408 * t23 - t413;
  t419 = 0.1e1 * t296 * t114 * t17;
  t422 = 0.1e1 * t296 * t376;
  t428 = 0.1e1 * t8 * t72;
  t437 = 0.1e1 * t99 * t292 * t17;
  t438 = t35 * t373 + t74 * (-t422 + 0.1e1 * t23 * t386 + 0.1e1 * t286 * t72 - t428 - 0.1e1 * t9 * t360) + 0.1e1 * t408 * t19 - t437;
  t444 = t282 * t124;
  t448 = t16 * t17;
  t450 = 0.1e1 * t296 * t448;
  t454 = 0.1e1 * t289 * t31;
  t455 = -t450 + 0.1e1 * t286 * t24 - t454;
  t456 = t28 * t455;
  t459 = t135 * t17;
  t464 = 0.1e1 * t292 * t402;
  t468 = 0.1e1 * t296 * t397;
  t478 = 0.1e1 * t99 * t8;
  t479 = t35 * t386 + t74 * (-t464 + 0.1e1 * t19 * t360 + t468 - 0.1e1 * t23 * t373) + 0.1e1 * t408 * t9 - 0.1e1 * t99 * t286 + t478;
  t485 = 0.1e1 * t8 * t102;
  t491 = t282 * t147;
  t498 = 0.1e1 * t289 * t30;
  t500 = 0.1e1 * t292 * t448;
  t501 = -0.1e1 * t286 * t20 + t498 + t500;
  t502 = t28 * t501;
  t508 = 0.1e1 * t8 * t114;
  t494 = t283 * t117;
  t511 = t444 * t140;
  t527 = t491 * t153;
  t544 = t283 * t238;
  t549 = t444 * t255;
  t557 = t491 * t262;
  t533 = -0.1000000000e1 * t494 * t300 + 0.1000000000e1 * t309 * t117 + 0.1000000000e1 * t34 * (-t314 + 0.1e1 * t19 * t414 + t419 - 0.1e1 * t23 * t438) - 0.1000000000e1 * t511 * t300 + 0.1000000000e1 * t456 * t140 + 0.1000000000e1 * t125 * (-0.1e1 * t296 * t459 + 0.1e1 * t23 * t479 + 0.1e1 * t286 * t102 - t485 - 0.1e1 * t9 * t414) - 0.1000000000e1 * t527 * t300 + 0.1000000000e1 * t502 * t153 + 0.1000000000e1 * t148 * (-0.1e1 * t286 * t114 + t508 + 0.1e1 * t9 * t438 + 0.1e1 * t292 * t459 - 0.1e1 * t19 * t479) - 0.1000000000e1 * t544 * t300 + 0.1000000000e1 * t309 * t238 - 0.1000000000e1 * t549 * t300 + 0.1000000000e1 * t456 * t255 - 0.1000000000e1 * t557 * t300 + 0.1000000000e1 * t502 * t262;
  t552 = t273 * t273;
  t555 = t277 * M_PI;
  t579 = t283 * t135;
  t586 = t444 * t114;
  t594 = t491 * t102;
  t602 = t283 * t250;
  t612 = t444 * t235;
  t619 = t491 * t223;
  t592 = 0.1000000000e1 * t579 * t300 - 0.1000000000e1 * t309 * t135 - 0.1000000000e1 * t34 * t479 + 0.1000000000e1 * t586 * t300 - 0.1000000000e1 * t456 * t114 - 0.1000000000e1 * t125 * t438 + 0.1000000000e1 * t594 * t300 - 0.1000000000e1 * t502 * t102 - 0.1000000000e1 * t148 * t414 + 0.1000000000e1 * t300 * t602 - 0.1000000000e1 * t309 * t250 + 0.1000000000e1 * t612 * t300 - 0.1000000000e1 * t456 * t235 + 0.1000000000e1 * t619 * t300 - 0.1000000000e1 * t502 * t223;
  t600 = 0.1e1 / (0.5e0 * L0 + 0.5e0 * L1);
  t606 = (0.5e0 * vshear[0] + 0.5e0 * vshear[1]) * t273;
  t608 = t552 + t278;
  t609 = cos(rtx);
  t610 = t18 + t22 + t26;
  t617 = t33 * t86 + t124 * t79 + t147 * t72;
  t618 = t617 * t28;
  t620 = t610 * t86 + t124 * t72 - t147 * t79 + t618 * t33;
  t622 = sin(rtx);
  t627 = t610 * t72 + t33 * t79 - t124 * t86 + t618 * t147;
  t634 = t610 * t79 + t147 * t86 - t33 * t72 + t618 * t124;
  t646 = 0.1e1 - t609;
  t647 = (0.1e1 * t16 * t620 + 0.1e1 * t20 * t634 + 0.1e1 * t24 * t627) * t646;
  t650 = t609 * t620 + t622 * (0.1e1 * t20 * t627 - 0.1e1 * t24 * t634) + 0.1e1 * t647 * t16;
  t661 = t609 * t634 + t622 * (0.1e1 * t24 * t620 - 0.1e1 * t16 * t627) + 0.1e1 * t647 * t20;
  t672 = t609 * t627 + t622 * (0.1e1 * t16 * t634 - 0.1e1 * t20 * t620) + 0.1e1 * t647 * t24;
  t674 = t246 * t650 + t231 * t661 + t210 * t672;
  t678 = t207 * t650 + t200 * t661 + t193 * t672;
  t679 = atan2(t674, t678);
  t680 = theta2 - theta1 + rtx - t679 - twist0;
  t695 = (t308 * t86 + t33 * t386 + t455 * t79 + t124 * t373 + t501 * t72 + t147 * t360) * t28;
  t697 = t617 * t282;
  t719 = t697 * t33;
  t701 = t300 * t86 + t610 * t386 + t455 * t72 + t124 * t360 - t501 * t79 - t147 * t373 + t695 * t33 - t300 * t719 + t618 * t308;
  t730 = t697 * t147;
  t713 = t300 * t72 + t610 * t360 + t308 * t79 + t33 * t373 - t455 * t86 - t124 * t386 + t695 * t147 - t730 * t300 + t618 * t501;
  t742 = t697 * t124;
  t726 = t300 * t79 + t610 * t373 + t501 * t86 + t147 * t386 - t308 * t72 - t33 * t360 + t695 * t124 - t742 * t300 + t618 * t455;
  t738 = (0.1e1 * t16 * t701 + 0.1e1 * t20 * t726 + 0.1e1 * t24 * t713) * t646;
  t741 = t609 * t701 + t622 * (0.1e1 * t20 * t713 - 0.1e1 * t24 * t726) + 0.1e1 * t738 * t16;
  t752 = t609 * t726 + t622 * (0.1e1 * t24 * t701 - 0.1e1 * t16 * t713) + 0.1e1 * t738 * t20;
  t763 = t609 * t713 + t622 * (0.1e1 * t16 * t726 - 0.1e1 * t20 * t701) + 0.1e1 * t738 * t24;
  t766 = 0.1e1 / t678;
  t768 = t678 * t678;
  t769 = 0.1e1 / t768;
  t770 = t674 * t769;
  t778 = t674 * t674;
  t781 = 0.1e1 / (0.1e1 + t778 * t769);
  t787 = t285 * t4;
  t792 = 0.1e1 * t296 * t24 * t21;
  t793 = -t500 - 0.1e1 * t787 * t20 + t498 - t792;
  t801 = 0.1e1 * t296 * t20 * t21;
  t802 = -0.1e1 * t787 * t24 + t454 + t801;
  t803 = t28 * t802;
  t810 = t25 * t21;
  t812 = 0.1e1 * t323 * t810;
  t813 = -t345 - 0.1e1 * t319 * t4 + t348 - t812;
  t816 = 0.1e1 * t319 * t810;
  t819 = -t816 + 0.1e1 * t323 * t4 - t337;
  t822 = 0.1e1 * t315 * t810;
  t823 = -t332 + t822;
  t829 = -0.1e1 * t315 * t4 + t318 + t322;
  t832 = (t819 * t76 + t823 * t78 + t829 * t81) * t69;
  t837 = t813 * t81 + t819 * t78 - t823 * t76 + t832 * t65 - t382 * t813 + t70 * t829;
  t846 = t813 * t78 + t829 * t76 - t819 * t81 + t832 * t57 - t391 * t813 + t70 * t823;
  t858 = t813 * t76 + t823 * t81 - t829 * t78 + t832 * t51 - t403 * t813 + t70 * t819;
  t871 = 0.1e1 * t296 * t72 * t21;
  t875 = (-t378 + 0.1e1 * t9 * t858 - 0.1e1 * t787 * t79 + t365 + 0.1e1 * t19 * t846 - t871 + 0.1e1 * t23 * t837) * t98;
  t880 = 0.1e1 * t424 * t21;
  t881 = t35 * t837 + t74 * (-t399 + 0.1e1 * t9 * t846 + 0.1e1 * t787 * t86 - t394 - 0.1e1 * t19 * t858) + 0.1e1 * t875 * t23 - t880;
  t884 = t114 * t21;
  t890 = 0.1e1 * t296 * t86 * t21;
  t901 = t35 * t846 + t74 * (-t890 + 0.1e1 * t23 * t858 + t464 - 0.1e1 * t9 * t837) + 0.1e1 * t875 * t19 - 0.1e1 * t99 * t787 + t478;
  t912 = 0.1e1 * t296 * t16 * t21;
  t913 = -t912 + t305;
  t914 = t28 * t913;
  t919 = 0.1e1 * t296 * t135 * t21;
  t927 = 0.1e1 * t296 * t79 * t21;
  t934 = t35 * t858 + t74 * (-0.1e1 * t787 * t72 + t428 + 0.1e1 * t19 * t837 + t927 - 0.1e1 * t23 * t846) + 0.1e1 * t875 * t9 - t437;
  t947 = -t295 + 0.1e1 * t787 * t16 - t291;
  t948 = t28 * t947;
  t951 = t285 * t17;
  t959 = 0.1e1 * t8 * t135;
  t980 = -0.1000000000e1 * t494 * t793 + 0.1000000000e1 * t803 * t117 + 0.1000000000e1 * t34 * (-0.1e1 * t787 * t102 + t485 + 0.1e1 * t19 * t881 + 0.1e1 * t296 * t884 - 0.1e1 * t23 * t901) - 0.1000000000e1 * t511 * t793 + 0.1000000000e1 * t914 * t140 + 0.1000000000e1 * t125 * (-t919 + 0.1e1 * t23 * t934 + t314 - 0.1e1 * t9 * t881) - 0.1000000000e1 * t527 * t793 + 0.1000000000e1 * t948 * t153 + 0.1000000000e1 * t148 * (-0.1e1 * t951 * t884 + 0.1e1 * t9 * t901 + 0.1e1 * t787 * t135 - t959 - 0.1e1 * t19 * t934) - 0.1000000000e1 * t544 * t793 + 0.1000000000e1 * t803 * t238 - 0.1000000000e1 * t549 * t793 + 0.1000000000e1 * t914 * t255 - 0.1000000000e1 * t557 * t793 + 0.1000000000e1 * t948 * t262;
  t1020 = 0.1000000000e1 * t579 * t793 - 0.1000000000e1 * t803 * t135 - 0.1000000000e1 * t34 * t934 + 0.1000000000e1 * t586 * t793 - 0.1000000000e1 * t914 * t114 - 0.1000000000e1 * t125 * t901 + 0.1000000000e1 * t594 * t793 - 0.1000000000e1 * t948 * t102 - 0.1000000000e1 * t148 * t881 + 0.1000000000e1 * t602 * t793 - 0.1000000000e1 * t803 * t250 + 0.1000000000e1 * t612 * t793 - 0.1000000000e1 * t914 * t235 + 0.1000000000e1 * t619 * t793 - 0.1000000000e1 * t948 * t223;
  t1040 = (t802 * t86 + t33 * t858 + t913 * t79 + t124 * t846 + t947 * t72 + t147 * t837) * t28;
  t1045 = t793 * t86 + t610 * t858 + t913 * t72 + t124 * t837 - t947 * t79 - t147 * t846 + t1040 * t33 - t719 * t793 + t618 * t802;
  t1057 = t793 * t72 + t610 * t837 + t802 * t79 + t33 * t846 - t913 * t86 - t124 * t858 + t1040 * t147 - t730 * t793 + t618 * t947;
  t1070 = t793 * t79 + t610 * t846 + t947 * t86 + t147 * t858 - t802 * t72 - t33 * t837 + t1040 * t124 - t742 * t793 + t618 * t913;
  t1082 = (0.1e1 * t16 * t1045 + 0.1e1 * t20 * t1070 + 0.1e1 * t24 * t1057) * t646;
  t1085 = t609 * t1045 + t622 * (0.1e1 * t20 * t1057 - 0.1e1 * t24 * t1070) + 0.1e1 * t1082 * t16;
  t1096 = t609 * t1070 + t622 * (0.1e1 * t24 * t1045 - 0.1e1 * t16 * t1057) + 0.1e1 * t1082 * t20;
  t1107 = t609 * t1057 + t622 * (0.1e1 * t16 * t1070 - 0.1e1 * t20 * t1045) + 0.1e1 * t1082 * t24;
  t1123 = t285 * t5;
  t1126 = -t450 - t801 - 0.1e1 * t1123 * t24 + t454;
  t1132 = -t792 + 0.1e1 * t1123 * t20 - t498;
  t1133 = t28 * t1132;
  t1136 = t102 * t25;
  t1141 = -t339 - t816 - 0.1e1 * t323 * t5 + t337;
  t1145 = -0.1e1 * t319 * t5 + t348 + t812;
  t1149 = -t326 + 0.1e1 * t315 * t5 - t318;
  t1153 = -t822 + t330;
  t1156 = (t1145 * t76 + t1149 * t78 + t1153 * t81) * t69;
  t1161 = t1141 * t81 + t1145 * t78 - t1149 * t76 + t1156 * t65 - t382 * t1141 + t70 * t1153;
  t1170 = t1141 * t78 + t1153 * t76 - t1145 * t81 + t1156 * t57 - t391 * t1141 + t70 * t1149;
  t1180 = t1141 * t76 + t1149 * t81 - t1153 * t78 + t1156 * t51 - t403 * t1141 + t70 * t1145;
  t1194 = (-t422 + 0.1e1 * t9 * t1180 - t927 + 0.1e1 * t19 * t1170 - 0.1e1 * t1123 * t72 + t428 + 0.1e1 * t23 * t1161) * t98;
  t1199 = t35 * t1161 + t74 * (-t468 + 0.1e1 * t9 * t1170 + t890 - 0.1e1 * t19 * t1180) + 0.1e1 * t1194 * t23 - 0.1e1 * t99 * t1123 + t478;
  t1215 = t35 * t1170 + t74 * (-0.1e1 * t1123 * t86 + t394 + 0.1e1 * t23 * t1180 + t404 - 0.1e1 * t9 * t1161) + 0.1e1 * t1194 * t19 - t880;
  t1226 = -0.1e1 * t1123 * t16 + t291 + t299;
  t1227 = t28 * t1226;
  t1243 = t35 * t1180 + t74 * (-t871 + 0.1e1 * t19 * t1161 + 0.1e1 * t1123 * t79 - t365 - 0.1e1 * t23 * t1170) + 0.1e1 * t1194 * t9 - t413;
  t1256 = -t307 + t912;
  t1257 = t28 * t1256;
  t1282 = -0.1000000000e1 * t494 * t1126 + 0.1000000000e1 * t1133 * t117 + 0.1000000000e1 * t34 * (-0.1e1 * t292 * t1136 + 0.1e1 * t19 * t1199 + 0.1e1 * t1123 * t114 - t508 - 0.1e1 * t23 * t1215) - 0.1000000000e1 * t511 * t1126 + 0.1000000000e1 * t1227 * t140 + 0.1000000000e1 * t125 * (-0.1e1 * t1123 * t135 + t959 + 0.1e1 * t23 * t1243 + 0.1e1 * t951 * t1136 - 0.1e1 * t9 * t1199) - 0.1000000000e1 * t527 * t1126 + 0.1000000000e1 * t1257 * t153 + 0.1000000000e1 * t148 * (-t419 + 0.1e1 * t9 * t1215 + t919 - 0.1e1 * t19 * t1243) - 0.1000000000e1 * t544 * t1126 + 0.1000000000e1 * t1133 * t238 - 0.1000000000e1 * t549 * t1126 + 0.1000000000e1 * t1227 * t255 - 0.1000000000e1 * t557 * t1126 + 0.1000000000e1 * t1257 * t262;
  t1322 = 0.1000000000e1 * t579 * t1126 - 0.1000000000e1 * t1133 * t135 - 0.1000000000e1 * t34 * t1243 + 0.1000000000e1 * t586 * t1126 - 0.1000000000e1 * t1227 * t114 - 0.1000000000e1 * t125 * t1215 + 0.1000000000e1 * t594 * t1126 - 0.1000000000e1 * t1257 * t102 - 0.1000000000e1 * t148 * t1199 + 0.1000000000e1 * t1126 * t602 - 0.1000000000e1 * t1133 * t250 + 0.1000000000e1 * t612 * t1126 - 0.1000000000e1 * t1227 * t235 + 0.1000000000e1 * t619 * t1126 - 0.1000000000e1 * t1257 * t223;
  t1342 = (t1132 * t86 + t33 * t1180 + t1226 * t79 + t124 * t1170 + t1256 * t72 + t147 * t1161) * t28;
  t1347 = t1126 * t86 + t610 * t1180 + t1226 * t72 + t124 * t1161 - t1256 * t79 - t147 * t1170 + t1342 * t33 - t719 * t1126 + t618 * t1132;
  t1359 = t1126 * t72 + t610 * t1161 + t1132 * t79 + t33 * t1170 - t1226 * t86 - t124 * t1180 + t1342 * t147 - t730 * t1126 + t618 * t1256;
  t1372 = t1126 * t79 + t610 * t1170 + t1256 * t86 + t147 * t1180 - t1132 * t72 - t33 * t1161 + t1342 * t124 - t742 * t1126 + t618 * t1226;
  t1384 = (0.1e1 * t16 * t1347 + 0.1e1 * t20 * t1372 + 0.1e1 * t24 * t1359) * t646;
  t1387 = t609 * t1347 + t622 * (0.1e1 * t20 * t1359 - 0.1e1 * t24 * t1372) + 0.1e1 * t1384 * t16;
  t1398 = t609 * t1372 + t622 * (0.1e1 * t24 * t1347 - 0.1e1 * t16 * t1359) + 0.1e1 * t1384 * t20;
  t1409 = t609 * t1359 + t622 * (0.1e1 * t16 * t1372 - 0.1e1 * t20 * t1347) + 0.1e1 * t1384 * t24;
  t1426 = t15 / t13;
  t1427 = t1426 * t10;
  t1431 = 0.1e1 * t9 * t15;
  t1432 = t1426 * t30;
  t1433 = t1432 * t29;
  t1435 = 0.1e1 * t19 * t1433;
  t1436 = t1426 * t31;
  t1437 = t1436 * t29;
  t1439 = 0.1e1 * t23 * t1437;
  t1440 = -0.1e1 * t9 * t1427 + t1431 - t1435 - t1439;
  t1445 = 0.1e1 * t19 * t1437;
  t1447 = 0.1e1 * t23 * t1433;
  t1448 = -t1445 + t1447;
  t1449 = t28 * t1448;
  t1458 = 0.1e1 * t23 * t15;
  t1460 = 0.1e1 * t9 * t1437;
  t1461 = -0.1e1 * t23 * t1427 + t1458 + t1460;
  t1462 = t28 * t1461;
  t1469 = 0.1e1 * t9 * t1433;
  t1473 = 0.1e1 * t19 * t15;
  t1474 = -t1469 + 0.1e1 * t19 * t1427 - t1473;
  t1475 = t28 * t1474;
  t1485 = 0.1e1 * t1432 * t223 * t29;
  t1486 = t1426 * t170;
  t1489 = 0.1e1 * t157;
  t1490 = t173 * t1426;
  t1491 = t29 * t30;
  t1493 = 0.1e1 * t1491 * t1490;
  t1494 = t175 * t1426;
  t1495 = t31 * t29;
  t1497 = 0.1e1 * t1494 * t1495;
  t1498 = -0.1e1 * t1486 * t10 + t1489 - t1493 - t1497;
  t1501 = 0.1e1 * t1490 * t1495;
  t1503 = 0.1e1 * t1494 * t1491;
  t1504 = -t1501 + t1503;
  t1508 = 0.1e1 * t163;
  t1510 = 0.1e1 * t1486 * t1495;
  t1511 = -0.1e1 * t1494 * t10 + t1508 + t1510;
  t1516 = 0.1e1 * t1486 * t1491;
  t1519 = 0.1e1 * t160;
  t1520 = -t1516 + 0.1e1 * t1490 * t10 - t1519;
  t1523 = (t1504 * t197 + t1511 * t199 + t1520 * t202) * t190;
  t1525 = t189 * t189;
  t1527 = t188 / t1525;
  t1373 = t1527 * t186;
  t1531 = t1498 * t202 + t1504 * t199 - t1511 * t197 + t1523 * t186 - t1373 * t1498 + t191 * t1520;
  t1536 = 0.1e1 * t15 * t200;
  t1381 = t1527 * t178;
  t1544 = t1498 * t199 + t1520 * t197 - t1504 * t202 + t1523 * t178 - t1381 * t1498 + t191 * t1511;
  t1547 = t207 * t29;
  t1549 = 0.1e1 * t1432 * t1547;
  t1391 = t1527 * t172;
  t1557 = t1498 * t197 + t1511 * t202 - t1520 * t199 + t1523 * t172 - t1391 * t1498 + t191 * t1504;
  t1560 = -0.1e1 * t1427 * t200 + t1536 + 0.1e1 * t16 * t1544 + t1549 - 0.1e1 * t20 * t1557;
  t1565 = 0.1e1 * t15 * t207;
  t1568 = t200 * t29;
  t1570 = 0.1e1 * t1432 * t1568;
  t1573 = t193 * t29;
  t1575 = 0.1e1 * t1436 * t1573;
  t1579 = (-0.1e1 * t1427 * t207 + t1565 + 0.1e1 * t16 * t1557 - t1570 + 0.1e1 * t20 * t1544 - t1575 + 0.1e1 * t24 * t1531) * t219;
  t1583 = 0.1e1 * t220 * t1437;
  t1584 = t156 * t1531 + t195 * t1560 + 0.1e1 * t1579 * t24 - t1583;
  t1589 = 0.1e1 * t1436 * t235 * t29;
  t1592 = 0.1e1 * t1436 * t1547;
  t1598 = 0.1e1 * t15 * t193;
  t1601 = -t1592 + 0.1e1 * t24 * t1557 + 0.1e1 * t1427 * t193 - t1598 - 0.1e1 * t16 * t1531;
  t1606 = 0.1e1 * t220 * t1433;
  t1607 = t156 * t1544 + t195 * t1601 + 0.1e1 * t1579 * t20 - t1606;
  t1618 = t250 * t29;
  t1623 = 0.1e1 * t1432 * t1573;
  t1627 = 0.1e1 * t1436 * t1568;
  t1630 = -t1623 + 0.1e1 * t20 * t1531 + t1627 - 0.1e1 * t24 * t1544;
  t1637 = 0.1e1 * t220 * t15;
  t1638 = t156 * t1557 + t195 * t1630 + 0.1e1 * t1579 * t16 - 0.1e1 * t220 * t1427 + t1637;
  t1644 = 0.1e1 * t15 * t223;
  t1658 = 0.1e1 * t15 * t235;
  t1668 = -0.1000000000e1 * t494 * t1440 + 0.1000000000e1 * t1449 * t117 - 0.1000000000e1 * t511 * t1440 + 0.1000000000e1 * t1462 * t140 - 0.1000000000e1 * t527 * t1440 + 0.1000000000e1 * t1475 * t153 - 0.1000000000e1 * t544 * t1440 + 0.1000000000e1 * t1449 * t238 + 0.1000000000e1 * t34 * (-t1485 + 0.1e1 * t20 * t1584 + t1589 - 0.1e1 * t24 * t1607) - 0.1000000000e1 * t549 * t1440 + 0.1000000000e1 * t1462 * t255 + 0.1000000000e1 * t125 * (-0.1e1 * t1436 * t1618 + 0.1e1 * t24 * t1638 + 0.1e1 * t1427 * t223 - t1644 - 0.1e1 * t16 * t1584) - 0.1000000000e1 * t557 * t1440 + 0.1000000000e1 * t1475 * t262 + 0.1000000000e1 * t148 * (-0.1e1 * t1427 * t235 + t1658 + 0.1e1 * t16 * t1607 + 0.1e1 * t1432 * t1618 - 0.1e1 * t20 * t1638);
  t1708 = 0.1000000000e1 * t579 * t1440 - 0.1000000000e1 * t1449 * t135 + 0.1000000000e1 * t586 * t1440 - 0.1000000000e1 * t1462 * t114 + 0.1000000000e1 * t594 * t1440 - 0.1000000000e1 * t1475 * t102 + 0.1000000000e1 * t1440 * t602 - 0.1000000000e1 * t1449 * t250 - 0.1000000000e1 * t34 * t1638 + 0.1000000000e1 * t612 * t1440 - 0.1000000000e1 * t1462 * t235 - 0.1000000000e1 * t125 * t1607 + 0.1000000000e1 * t619 * t1440 - 0.1000000000e1 * t1475 * t223 - 0.1000000000e1 * t148 * t1584;
  t1723 = (t1448 * t86 + t1461 * t79 + t1474 * t72) * t28;
  t1728 = t1440 * t86 + t1461 * t72 - t1474 * t79 + t1723 * t33 - t719 * t1440 + t618 * t1448;
  t1730 = t627 * t29;
  t1732 = 0.1e1 * t1432 * t1730;
  t1740 = t1440 * t72 + t1448 * t79 - t1461 * t86 + t1723 * t147 - t730 * t1440 + t618 * t1474;
  t1743 = t634 * t29;
  t1745 = 0.1e1 * t1436 * t1743;
  t1753 = t1440 * t79 + t1474 * t86 - t1448 * t72 + t1723 * t124 - t742 * t1440 + t618 * t1461;
  t1761 = 0.1e1 * t15 * t620;
  t1765 = 0.1e1 * t1432 * t1743;
  t1769 = 0.1e1 * t1436 * t1730;
  t1773 = (-0.1e1 * t1427 * t620 + t1761 + 0.1e1 * t16 * t1728 - t1765 + 0.1e1 * t20 * t1753 - t1769 + 0.1e1 * t24 * t1740) * t646;
  t1779 = 0.1e1 * t647 * t15;
  t1780 = t609 * t1728 + t622 * (-t1732 + 0.1e1 * t20 * t1740 + t1745 - 0.1e1 * t24 * t1753) + 0.1e1 * t1773 * t16 - 0.1e1 * t647 * t1427 + t1779;
  t1784 = t620 * t29;
  t1786 = 0.1e1 * t1436 * t1784;
  t1792 = 0.1e1 * t15 * t627;
  t1800 = 0.1e1 * t647 * t1433;
  t1801 = t609 * t1753 + t622 * (-t1786 + 0.1e1 * t24 * t1728 + 0.1e1 * t1427 * t627 - t1792 - 0.1e1 * t16 * t1740) + 0.1e1 * t1773 * t20 - t1800;
  t1808 = 0.1e1 * t15 * t634;
  t1812 = 0.1e1 * t1432 * t1784;
  t1820 = 0.1e1 * t647 * t1437;
  t1821 = t609 * t1740 + t622 * (-0.1e1 * t1427 * t634 + t1808 + 0.1e1 * t16 * t1753 + t1812 - 0.1e1 * t20 * t1728) + 0.1e1 * t1773 * t24 - t1820;
  t1840 = t1426 * t11;
  t1843 = t1436 * t30;
  t1845 = 0.1e1 * t23 * t1843;
  t1846 = -t1469 - 0.1e1 * t19 * t1840 + t1473 - t1845;
  t1851 = 0.1e1 * t19 * t1843;
  t1854 = -t1851 + 0.1e1 * t23 * t1840 - t1458;
  t1855 = t28 * t1854;
  t1862 = 0.1e1 * t9 * t1843;
  t1863 = -t1447 + t1862;
  t1864 = t28 * t1863;
  t1872 = -0.1e1 * t9 * t1840 + t1431 + t1435;
  t1873 = t28 * t1872;
  t1885 = t31 * t30;
  t1887 = 0.1e1 * t1494 * t1885;
  t1888 = -t1516 - 0.1e1 * t1490 * t11 + t1519 - t1887;
  t1891 = 0.1e1 * t1490 * t1885;
  t1894 = -t1891 + 0.1e1 * t1494 * t11 - t1508;
  t1897 = 0.1e1 * t1486 * t1885;
  t1898 = -t1503 + t1897;
  t1904 = -0.1e1 * t1486 * t11 + t1489 + t1493;
  t1907 = (t1894 * t197 + t1898 * t199 + t1904 * t202) * t190;
  t1912 = t1888 * t202 + t1894 * t199 - t1898 * t197 + t1907 * t186 - t1373 * t1888 + t191 * t1904;
  t1921 = t1888 * t199 + t1904 * t197 - t1894 * t202 + t1907 * t178 - t1381 * t1888 + t191 * t1898;
  t1933 = t1888 * t197 + t1898 * t202 - t1904 * t199 + t1907 * t172 - t1391 * t1888 + t191 * t1894;
  t1936 = -t1570 + 0.1e1 * t16 * t1921 + 0.1e1 * t1840 * t207 - t1565 - 0.1e1 * t20 * t1933;
  t1946 = 0.1e1 * t1436 * t193 * t30;
  t1950 = (-t1549 + 0.1e1 * t16 * t1933 - 0.1e1 * t1840 * t200 + t1536 + 0.1e1 * t20 * t1921 - t1946 + 0.1e1 * t24 * t1912) * t219;
  t1954 = 0.1e1 * t220 * t1843;
  t1955 = t156 * t1912 + t195 * t1936 + 0.1e1 * t1950 * t24 - t1954;
  t1958 = t235 * t30;
  t1964 = 0.1e1 * t1436 * t207 * t30;
  t1969 = -t1964 + 0.1e1 * t24 * t1933 + t1623 - 0.1e1 * t16 * t1912;
  t1975 = t156 * t1921 + t195 * t1969 + 0.1e1 * t1950 * t20 - 0.1e1 * t220 * t1840 + t1637;
  t1988 = 0.1e1 * t1436 * t250 * t30;
  t1996 = 0.1e1 * t1436 * t200 * t30;
  t1999 = -0.1e1 * t1840 * t193 + t1598 + 0.1e1 * t20 * t1912 + t1996 - 0.1e1 * t24 * t1921;
  t2003 = t156 * t1933 + t195 * t1999 + 0.1e1 * t1950 * t16 - t1606;
  t2016 = t1426 * t29;
  t2024 = 0.1e1 * t15 * t250;
  t2030 = -0.1000000000e1 * t494 * t1846 + 0.1000000000e1 * t1855 * t117 - 0.1000000000e1 * t511 * t1846 + 0.1000000000e1 * t1864 * t140 - 0.1000000000e1 * t527 * t1846 + 0.1000000000e1 * t1873 * t153 - 0.1000000000e1 * t544 * t1846 + 0.1000000000e1 * t1855 * t238 + 0.1000000000e1 * t34 * (-0.1e1 * t1840 * t223 + t1644 + 0.1e1 * t20 * t1955 + 0.1e1 * t1436 * t1958 - 0.1e1 * t24 * t1975) - 0.1000000000e1 * t549 * t1846 + 0.1000000000e1 * t1864 * t255 + 0.1000000000e1 * t125 * (-t1988 + 0.1e1 * t24 * t2003 + t1485 - 0.1e1 * t16 * t1955) - 0.1000000000e1 * t557 * t1846 + 0.1000000000e1 * t1873 * t262 + 0.1000000000e1 * t148 * (-0.1e1 * t2016 * t1958 + 0.1e1 * t16 * t1975 + 0.1e1 * t1840 * t250 - t2024 - 0.1e1 * t20 * t2003);
  t2070 = 0.1000000000e1 * t579 * t1846 - 0.1000000000e1 * t1855 * t135 + 0.1000000000e1 * t586 * t1846 - 0.1000000000e1 * t1864 * t114 + 0.1000000000e1 * t594 * t1846 - 0.1000000000e1 * t1873 * t102 + 0.1000000000e1 * t602 * t1846 - 0.1000000000e1 * t1855 * t250 - 0.1000000000e1 * t34 * t2003 + 0.1000000000e1 * t612 * t1846 - 0.1000000000e1 * t1864 * t235 - 0.1000000000e1 * t125 * t1975 + 0.1000000000e1 * t619 * t1846 - 0.1000000000e1 * t1873 * t223 - 0.1000000000e1 * t148 * t1955;
  t2085 = (t1854 * t86 + t1863 * t79 + t1872 * t72) * t28;
  t2090 = t1846 * t86 + t1863 * t72 - t1872 * t79 + t2085 * t33 - t719 * t1846 + t618 * t1854;
  t2101 = t1846 * t72 + t1854 * t79 - t1863 * t86 + t2085 * t147 - t730 * t1846 + t618 * t1872;
  t2106 = 0.1e1 * t1436 * t634 * t30;
  t2114 = t1846 * t79 + t1872 * t86 - t1854 * t72 + t2085 * t124 - t742 * t1846 + t618 * t1863;
  t2127 = 0.1e1 * t1436 * t627 * t30;
  t2131 = (-t1812 + 0.1e1 * t16 * t2090 - 0.1e1 * t1840 * t634 + t1808 + 0.1e1 * t20 * t2114 - t2127 + 0.1e1 * t24 * t2101) * t646;
  t2134 = t609 * t2090 + t622 * (-0.1e1 * t1840 * t627 + t1792 + 0.1e1 * t20 * t2101 + t2106 - 0.1e1 * t24 * t2114) + 0.1e1 * t2131 * t16 - t1800;
  t2140 = 0.1e1 * t1436 * t620 * t30;
  t2151 = t609 * t2114 + t622 * (-t2140 + 0.1e1 * t24 * t2090 + t1732 - 0.1e1 * t16 * t2101) + 0.1e1 * t2131 * t20 - 0.1e1 * t647 * t1840 + t1779;
  t2166 = 0.1e1 * t647 * t1843;
  t2167 = t609 * t2101 + t622 * (-t1765 + 0.1e1 * t16 * t2114 + 0.1e1 * t1840 * t620 - t1761 - 0.1e1 * t20 * t2090) + 0.1e1 * t2131 * t24 - t2166;
  t2186 = t1426 * t12;
  t2189 = -t1460 - t1851 - 0.1e1 * t23 * t2186 + t1458;
  t2195 = -0.1e1 * t19 * t2186 + t1473 + t1845;
  t2196 = t28 * t2195;
  t2204 = -t1439 + 0.1e1 * t9 * t2186 - t1431;
  t2205 = t28 * t2204;
  t2211 = -t1862 + t1445;
  t2212 = t28 * t2211;
  t2220 = t223 * t31;
  t2225 = -t1510 - t1891 - 0.1e1 * t1494 * t12 + t1508;
  t2229 = -0.1e1 * t1490 * t12 + t1519 + t1887;
  t2233 = -t1497 + 0.1e1 * t1486 * t12 - t1489;
  t2237 = -t1897 + t1501;
  t2240 = (t2229 * t197 + t2233 * t199 + t2237 * t202) * t190;
  t2245 = t2225 * t202 + t2229 * t199 - t2233 * t197 + t2240 * t186 - t1373 * t2225 + t191 * t2237;
  t2254 = t2225 * t199 + t2237 * t197 - t2229 * t202 + t2240 * t178 - t1381 * t2225 + t191 * t2233;
  t2264 = t2225 * t197 + t2233 * t202 - t2237 * t199 + t2240 * t172 - t1391 * t2225 + t191 * t2229;
  t2267 = -t1627 + 0.1e1 * t16 * t2254 + t1964 - 0.1e1 * t20 * t2264;
  t2278 = (-t1592 + 0.1e1 * t16 * t2264 - t1996 + 0.1e1 * t20 * t2254 - 0.1e1 * t2186 * t193 + t1598 + 0.1e1 * t24 * t2245) * t219;
  t2283 = t156 * t2245 + t195 * t2267 + 0.1e1 * t2278 * t24 - 0.1e1 * t220 * t2186 + t1637;
  t2295 = -0.1e1 * t2186 * t207 + t1565 + 0.1e1 * t24 * t2264 + t1575 - 0.1e1 * t16 * t2245;
  t2299 = t156 * t2254 + t195 * t2295 + 0.1e1 * t2278 * t20 - t1954;
  t2319 = -t1946 + 0.1e1 * t20 * t2245 + 0.1e1 * t2186 * t200 - t1536 - 0.1e1 * t24 * t2254;
  t2323 = t156 * t2264 + t195 * t2319 + 0.1e1 * t2278 * t16 - t1583;
  t2345 = -0.1000000000e1 * t494 * t2189 + 0.1000000000e1 * t2196 * t117 - 0.1000000000e1 * t511 * t2189 + 0.1000000000e1 * t2205 * t140 - 0.1000000000e1 * t527 * t2189 + 0.1000000000e1 * t2212 * t153 - 0.1000000000e1 * t544 * t2189 + 0.1000000000e1 * t2196 * t238 + 0.1000000000e1 * t34 * (-0.1e1 * t1432 * t2220 + 0.1e1 * t20 * t2283 + 0.1e1 * t2186 * t235 - t1658 - 0.1e1 * t24 * t2299) - 0.1000000000e1 * t549 * t2189 + 0.1000000000e1 * t2205 * t255 + 0.1000000000e1 * t125 * (-0.1e1 * t2186 * t250 + t2024 + 0.1e1 * t24 * t2323 + 0.1e1 * t2016 * t2220 - 0.1e1 * t16 * t2283) - 0.1000000000e1 * t557 * t2189 + 0.1000000000e1 * t2212 * t262 + 0.1000000000e1 * t148 * (-t1589 + 0.1e1 * t16 * t2299 + t1988 - 0.1e1 * t20 * t2323);
  t2385 = 0.1000000000e1 * t579 * t2189 - 0.1000000000e1 * t2196 * t135 + 0.1000000000e1 * t586 * t2189 - 0.1000000000e1 * t2205 * t114 + 0.1000000000e1 * t594 * t2189 - 0.1000000000e1 * t2212 * t102 + 0.1000000000e1 * t602 * t2189 - 0.1000000000e1 * t2196 * t250 - 0.1000000000e1 * t34 * t2323 + 0.1000000000e1 * t612 * t2189 - 0.1000000000e1 * t2205 * t235 - 0.1000000000e1 * t125 * t2299 + 0.1000000000e1 * t619 * t2189 - 0.1000000000e1 * t2212 * t223 - 0.1000000000e1 * t148 * t2283;
  t2400 = (t2195 * t86 + t2204 * t79 + t2211 * t72) * t28;
  t2405 = t2189 * t86 + t2204 * t72 - t2211 * t79 + t2400 * t33 - t719 * t2189 + t618 * t2195;
  t2414 = t2189 * t72 + t2195 * t79 - t2204 * t86 + t2400 * t147 - t730 * t2189 + t618 * t2211;
  t2426 = t2189 * t79 + t2211 * t86 - t2195 * t72 + t2400 * t124 - t742 * t2189 + t618 * t2204;
  t2440 = (-t1786 + 0.1e1 * t16 * t2405 - t2106 + 0.1e1 * t20 * t2426 - 0.1e1 * t2186 * t627 + t1792 + 0.1e1 * t24 * t2414) * t646;
  t2443 = t609 * t2405 + t622 * (-t2127 + 0.1e1 * t20 * t2414 + 0.1e1 * t2186 * t634 - t1808 - 0.1e1 * t24 * t2426) + 0.1e1 * t2440 * t16 - t1820;
  t2457 = t609 * t2426 + t622 * (-0.1e1 * t2186 * t620 + t1761 + 0.1e1 * t24 * t2405 + t1769 - 0.1e1 * t16 * t2414) + 0.1e1 * t2440 * t20 - t2166;
  t2471 = t609 * t2414 + t622 * (-t1745 + 0.1e1 * t16 * t2426 + t2140 - 0.1e1 * t20 * t2405) + 0.1e1 * t2440 * t24 - 0.1e1 * t647 * t2186 + t1779;
  t2492 = t97 * t74;
  t2495 = -t74 * t72 + t35 * t89 + 0.1e1 * t2492 * t23;
  t2502 = -t74 * t79 + t35 * t110 + 0.1e1 * t2492 * t19;
  t2512 = -t74 * t86 + t35 * t131 + 0.1e1 * t2492 * t9;
  t2549 = 0.2500000000e0 * t606 * t277 * M_PI * t608 * t680 * t600;
  t2553 = t218 * t195;
  t2556 = -t195 * t193 + t156 * t210 + 0.1e1 * t2553 * t24;
  t2563 = -t195 * t200 + t156 * t231 + 0.1e1 * t2553 * t20;
  t2573 = -t195 * t207 + t156 * t246 + 0.1e1 * t2553 * t16;
  t2269 = (0.1000000000e1 * t34 * t117 + 0.1000000000e1 * t140 * t125 + 0.1000000000e1 * t148 * t153 + 0.1000000000e1 * t34 * t238 + 0.1000000000e1 * t125 * t255 + 0.1000000000e1 * t148 * t262 - 0.1e1 * K0[0]) * t269 * t273 * t278 * t277 * M_PI;
  t2272 = (-0.1000000000e1 * t34 * t135 - 0.1000000000e1 * t125 * t114 - 0.1000000000e1 * t148 * t102 - 0.1000000000e1 * t34 * t250 - 0.1000000000e1 * t125 * t235 - 0.1000000000e1 * t148 * t223 - 0.1e1 * K0[1]) * t269 * t552 * t273 * t555;
  t2279 = t606 * t555 * t608 * t680;
  energyGradienti[0] = 0.5000000000e0 * (0.50e0 * t2269 * t533 + 0.50e0 * t2272 * t592) * t600 - 0.2500000000e0 * t2279 * t600 * ((t246 * t741 + t231 * t752 + t210 * t763) * t766 - t770 * (t207 * t741 + t200 * t752 + t193 * t763)) * t781;
  energyGradienti[1] = 0.5000000000e0 * (0.50e0 * t2269 * t980 + 0.50e0 * t2272 * t1020) * t600 - 0.2500000000e0 * t2279 * t600 * ((t246 * t1085 + t231 * t1096 + t210 * t1107) * t766 - t770 * (t207 * t1085 + t200 * t1096 + t193 * t1107)) * t781;
  energyGradienti[2] = 0.5000000000e0 * (0.50e0 * t2269 * t1282 + 0.50e0 * t2272 * t1322) * t600 - 0.2500000000e0 * t2279 * t600 * ((t246 * t1387 + t231 * t1398 + t210 * t1409) * t766 - t770 * (t207 * t1387 + t200 * t1398 + t193 * t1409)) * t781;
  energyGradienti[3] = 0.5000000000e0 * (0.50e0 * t2269 * t1668 + 0.50e0 * t2272 * t1708) * t600 - 0.2500000000e0 * t2279 * t600 * ((t1630 * t650 + t246 * t1780 + t1601 * t661 + t231 * t1801 + t1560 * t672 + t210 * t1821) * t766 - t770 * (t1557 * t650 + t207 * t1780 + t1544 * t661 + t200 * t1801 + t1531 * t672 + t193 * t1821)) * t781;
  energyGradienti[4] = 0.5000000000e0 * (0.50e0 * t2269 * t2030 + 0.50e0 * t2272 * t2070) * t600 - 0.2500000000e0 * t2279 * t600 * ((t1999 * t650 + t246 * t2134 + t1969 * t661 + t231 * t2151 + t1936 * t672 + t210 * t2167) * t766 - t770 * (t1933 * t650 + t207 * t2134 + t1921 * t661 + t200 * t2151 + t1912 * t672 + t193 * t2167)) * t781;
  energyGradienti[5] = 0.5000000000e0 * (0.50e0 * t2269 * t2345 + 0.50e0 * t2272 * t2385) * t600 - 0.2500000000e0 * t2279 * t600 * ((t2319 * t650 + t246 * t2443 + t2295 * t661 + t231 * t2457 + t2267 * t672 + t210 * t2471) * t766 - t770 * (t2264 * t650 + t207 * t2443 + t2254 * t661 + t200 * t2457 + t2245 * t672 + t193 * t2471)) * t781;
  energyGradienti[6] = 0.5000000000e0 * (0.50e0 * t2269 * (0.1000000000e1 * t34 * (0.1e1 * t19 * t2495 - 0.1e1 * t23 * t2502) + 0.1000000000e1 * t125 * (0.1e1 * t23 * t2512 - 0.1e1 * t9 * t2495) + 0.1000000000e1 * t148 * (0.1e1 * t9 * t2502 - 0.1e1 * t19 * t2512)) + 0.50e0 * t2272 * (-0.1000000000e1 * t34 * t2512 - 0.1000000000e1 * t125 * t2502 - 0.1000000000e1 * t148 * t2495)) * t600 - t2549;
  energyGradienti[7] = 0.5000000000e0 * (0.50e0 * t2269 * (0.1000000000e1 * t34 * (0.1e1 * t20 * t2556 - 0.1e1 * t24 * t2563) + 0.1000000000e1 * t125 * (0.1e1 * t24 * t2573 - 0.1e1 * t16 * t2556) + 0.1000000000e1 * t148 * (0.1e1 * t16 * t2563 - 0.1e1 * t20 * t2573)) + 0.50e0 * t2272 * (-0.1000000000e1 * t34 * t2573 - 0.1000000000e1 * t125 * t2563 - 0.1000000000e1 * t148 * t2556)) * t600 + t2549;
}
